graaff      15/04/24 07:13:57

  Modified:             ChangeLog text-hyphen-1.4.1-r1.ebuild
  Log:
  Use test-unit:2 to avoid test failures, fixing bug 547326.
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.66                 dev-ruby/text-hyphen/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/ChangeLog?rev=1.66&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/ChangeLog?rev=1.66&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/ChangeLog?r1=1.65&r2=1.66

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/ChangeLog,v
retrieving revision 1.65
retrieving revision 1.66
diff -u -r1.65 -r1.66
--- ChangeLog   19 Apr 2015 09:52:45 -0000      1.65
+++ ChangeLog   24 Apr 2015 07:13:57 -0000      1.66
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/text-hyphen
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/ChangeLog,v 1.65 
2015/04/19 09:52:45 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/ChangeLog,v 1.66 
2015/04/24 07:13:57 graaff Exp $
+
+  24 Apr 2015; Hans de Graaff <[email protected]> text-hyphen-1.4.1-r1.ebuild:
+  Use test-unit:2 to avoid test failures, fixing bug 547326.
 
   19 Apr 2015; Agostino Sarubbo <[email protected]> text-hyphen-1.4.1-r1.ebuild:
   Stable for x86, wrt bug #546968



1.7                  dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild?rev=1.7&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild?rev=1.7&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild?r1=1.6&r2=1.7

Index: text-hyphen-1.4.1-r1.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- text-hyphen-1.4.1-r1.ebuild 19 Apr 2015 09:52:45 -0000      1.6
+++ text-hyphen-1.4.1-r1.ebuild 24 Apr 2015 07:13:57 -0000      1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild,v 1.6 
2015/04/19 09:52:45 ago Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild,v 1.7 
2015/04/24 07:13:57 graaff Exp $
 
 EAPI=5
 USE_RUBY="ruby19 ruby20"
@@ -25,4 +25,9 @@
        )
        test? (
                >=dev-ruby/hoe-2.8.0
+               dev-ruby/test-unit:2
        )"
+
+all_ruby_prepare() {
+       sed -i -e '2igem "test-unit", ">= 2.0"' test/test_*.rb || die
+}




Reply via email to